
var audio = new Audio(playlist[0].url);
audio.loop = true; // Muziek wordt steeds herhaald

var playing = 0;   // index van het nummer dat wordt gespeeld

window.addEventListener("load", function(){
//  document.querySelector("[data-player] *:last-child").innerText = playlist[ playing ].title;

  document.querySelector("#play").addEventListener("click", function(){
    document.querySelector("[data-player] *:last-child").innerText = playlist[ playing ].title;
    audio.play();
  });

  document.querySelector("#pause").addEventListener("click", function(){
    // Deze knop werkt alleen als de speler aan staat
    if (document.querySelector("[data-player] *:last-child").innerText == "--") return;

    if (audio.paused) return;  // Pauzeknop meer dan 1x indrukken heeft geen zin
    audio.pause();
    document.querySelector("[data-player] *:last-child").innerText = "(Afspelen is gepauzeerd)";
  });

  document.querySelector("#back").addEventListener("click", function(){
    // Deze knop werkt alleen als de speler aan staat
    if (document.querySelector("[data-player] *:last-child").innerText == "--") return;

    if (playing > 0) playing--
    else playing = playlist.length-1;
    audio.src = playlist[ playing ].url;
    this.parentNode.querySelector("*:last-child").innerText = playlist[ playing ].title;
    audio.play()
  });

  document.querySelector("#next").addEventListener("click", function(){
    // Deze knop werkt alleen als de speler aan staat
    if (document.querySelector("[data-player] *:last-child").innerText == "--") return;

    if (playing < playlist.length-1) playing++
    else playing = 0;
    audio.src = playlist[ playing ].url;
    this.parentNode.querySelector("*:last-child").innerText = playlist[ playing ].title;
    audio.play()
  });
});